Bug 126715 - Not HIG friendly: HOME and END keys do not work properly in TODO list task entry
Not HIG friendly: HOME and END keys do not work properly in TODO list task entry
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-25 04:48 EDT by Mike A. Harris
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-24 14:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 209353 None None None Never

  None (edit)
Description Mike A. Harris 2004-06-25 04:48:42 EDT
When entering a new task into Evolution's TODO list, by clicking on
the entry box directly above the TODO list, the HOME and END keys
on a standard PC keyboard (any kind) do not function as a user would
expect them to.

All Microsoft Windows applications, and Windows itself define "HOME"
to be "Beginning of line" and "END" to be "End of line".  Wether this
is an official definition or not, it is definitely defacto in the
Windows world.  Most GNOME/KDE and other GUI Linux apps also use
the HOME key for "beginning-of-line" and END for "end-of-line".

The behaviour of both the HOME and END keys in Evolution when entering
a TODO task, is to deselect the text entry box, and select the entry
box of the first column (for HOME), or to select the entry box for the
last column.  This causes the text entry box to turn blue and
deselect, as if the user clicked the mouse in the first or last
column respectively.

I use the TODO list a lot, and quite frequently I desire to go
to BOL or EOL to add a prefix or suffix to my TODO task.  Every time
I instinctivly hit HOME or END to get there, I am reminded of this
bug.  ;o)

I consider this to be user unfriendly and probably against the
HIG guidelines.
Comment 1 Dave Malcolm 2005-08-24 14:50:48 EDT
Problem still exists in rawhide (evolution-2.3.8)
Comment 2 Dave Malcolm 2005-08-24 14:54:42 EDT
This has been filed upstream (for the last 4 years...) I'm going to resolve it
as UPSTREAM as I'm unlikely to work on this myself.

Note You need to log in before you can comment on or make changes to this bug.